### Enumeration

# Gimp MergeType

#### Declaration

    enum Gimp.MergeType

#### Description [src]

Types of merging layers.

#### Members

`GIMP_EXPAND_AS_NECESSARY`

  Expanded as necessary.

  - Value: `0`
  - Available since: 3.0
`GIMP_CLIP_TO_IMAGE`

  Clipped to image.

  - Value: `1`
  - Available since: 3.0
`GIMP_CLIP_TO_BOTTOM_LAYER`

  Clipped to bottom layer.

  - Value: `2`
  - Available since: 3.0
`GIMP_FLATTEN_IMAGE`

  Flatten.

  - Value: `3`
  - Available since: 3.0